CompressionZlib Class Reference

`#include <compressionzlib.h>`

Inheritance diagram for CompressionZlib:
[legend]

## Public Member Functions

| CompressionZlib (CompressionDataHandler *cdh)
virtual | ~CompressionZlib ()
virtual bool | init ()
virtual void | compress (const std::string &data)
virtual void | decompress (const std::string &data)
virtual void | cleanup ()
Public Member Functions inherited from CompressionBase
| CompressionBase (CompressionDataHandler *cdh)
virtual | ~CompressionBase ()

## Additional Inherited Members

Protected Attributes inherited from CompressionBase
CompressionDataHandler * | m_handler
bool | m_valid

## Detailed Description

An implementation of CompressionBase using zlib.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.9

Definition at line 36 of file compressionzlib.h.

## Constructor & Destructor Documentation

## CompressionZlib()

CompressionZlib | ( | CompressionDataHandler * | cdh | ) |

Contructor.

Parameters

  cdh | The CompressionDataHandler to receive de/compressed data.

Definition at line 22 of file compressionzlib.cpp.

## ~CompressionZlib()

~CompressionZlib | ( |  | ) |

virtual

Virtual Destructor.

Definition at line 52 of file compressionzlib.cpp.

## Member Function Documentation

## cleanup()

void cleanup | ( |  | ) |

virtual

Performs internal cleanup.

Since
  1.0

Implements CompressionBase.

Definition at line 120 of file compressionzlib.cpp.

## compress()

void compress | ( | const std::string & | data | ) |

virtual

Compresses the given chunk of data.

Parameters

  data | The original (uncompressed) data.

Implements CompressionBase.

Definition at line 57 of file compressionzlib.cpp.

## decompress()

void decompress | ( | const std::string & | data | ) |

virtual

Decompresses the given chunk of data.

Parameters

  data | The compressed data.

Implements CompressionBase.

Definition at line 90 of file compressionzlib.cpp.

## init()

bool init | ( |  | ) |

virtual

This function initializes the compression module. it is mandatory to be called.

Returns
  True if the module was initialized successfully, false otherwise.

Implements CompressionBase.

Definition at line 27 of file compressionzlib.cpp.

The documentation for this class was generated from the following files:

- compressionzlib.h
- compressionzlib.cpp